package com.njcn.gather.report.pojo.enums;

import lombok.Getter;

/**
 * @author caozehui
 * @data 2025-03-19
 */
@Getter
public enum ReportResponseEnum {

    FILE_UPLOAD_FAILED("A012001", "文件上传失败"),
    FILE_SUFFIX_ERROR("A012002", "文件后缀错误,请上传.docx文件"),
    REPORT_REPEATED("A012003", "已存在相同版本、相同名称的报告"),
    FILE_NOT_NULL("A012004", "上传的文件不能为空"),
    DELETE_BOUND_REPORT_ERROR("A012005", "已被计划绑定模板的报告不能删除"),
    FILE_NAME_SAME_ERROR("A012006", "文件名不能相同"),
    DEVICE_NOT_EXIST("A012007", "请检查装置是否存在！"),
    DEVICE_TYPE_NOT_EXIST("A012008", "设备类型缺失，请联系管理员！"),
    REPORT_TEMPLATE_NOT_EXIST("A012009", "报告模板缺失，请联系管理员！"),
    NO_CHECK_DATA("A012010", "没有检测数据，无法生成报告！"),
    FILE_RENAME_FAILED("A012011", "文件重命名失败"),
    REPORT_NAME_PATTERN_ERROR("A012012", "报告名称格式错误，可包含中文、字母、数字、中划线、点号、空格，长度不能超过32个字符"),
    REPORT_VERSION_PATTERN_ERROR("A012013", "报告版本号格式错误，可包含中文、字母、数字、中划线、点号、空格，长度不能超过32个字符"),
    FILE_SIZE_ERROR("A012014", "文件大小不能超过5MB"),
    GENERATE_REPORT_ERROR("A012015", "生成报告失败"),
    FTP_CONNECTION_FAILED("A012016", "FTP连接失败，无法将二维码文件上传至装置");

    private String code;
    private String message;

    ReportResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
